Skip to main content
POST
/
kyc
/
pan-aadhaar
/
status
curl --request POST \ --url https://api.sandbox.co.in/kyc/pan-aadhaar/status \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data ' { "@entity": "in.co.sandbox.kyc.pan_aadhaar.status", "pan": "XXXPX1234A", "aadhaar_number": "123456789012", "consent": "y", "reason": "For Testing" } '
{ "code": 200, "timestamp": 1000000000000, "transaction_id": "de97e30a-2043-4ab0-84ff-0fbba3434a8f", "data": { "@entity": "in.co.sandbox.kyc.pan_aadhaar.status.response", "aadhaar_seeding_status": "y", "message": "Your PAN is linked to Aadhaar Number XXXX XXXX 9999." } }
https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3

Run in Postman

Headers

Authorization
string
required

JWT access token. For token-generation steps, refer to the Quickstart Guide.

x-api-key
string
required

API key used to identify and authenticate the client.

x-api-version
string

Specifies the API version for the request.

Body

application/json
@entity
enum<string>
required
Available options:
in.co.sandbox.kyc.pan_aadhaar.status
pan
string
required

Permanent Account Number to be verified against Aadhaar linkage records.

Pattern: ^[A-Z]{5}[0-9]{4}[A-Z]{1}$
aadhaar_number
string
required

12-digit Aadhaar number of the PAN holder used to validate PAN–Aadhaar linkage.

Pattern: ^[0-9]{12}$

Explicit consent from the end user to retrieve and verify PAN and Aadhaar linkage information.

Available options:
Y,
y
reason
string
required

Purpose for requesting PAN–Aadhaar verification.

Minimum string length: 20

Response

The response is of type object.